## openjpegenc openjpegenc |

## Properties

gint | num-layers | Read / Write
gint | num-resolutions | Read / Write
GstOpenJPEGEncProgressionOrder | progression-order | Read / Write
gint | tile-height | Read / Write
gint | tile-offset-x | Read / Write
gint | tile-offset-y | Read / Write
gint | tile-width | Read / Write

## Types and Values

struct | GstOpenJPEGEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoEncoder
                        ╰── GstOpenJPEGEnc

## Implemented Interfaces

GstOpenJPEGEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | openjpeg
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Encoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB64, ARGB, xRGB, AYUV64, Y444_10LE, I422_10LE, I420_10LE, AYUV, Y444, Y42B, I420, Y41B, YUV9, GRAY8, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | image/x-j2c, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], num-components=(int)[ 1, 4 ], sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE, YCbCrA-4:4:4:4 }, colorspace=(string){ sRGB, sYUV, GRAY }
| image/x-jpc, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], num-components=(int)[ 1, 4 ], sampling=(string){ RGB, BGR, RGBA, BGRA, YCbCr-4:4:4, YCbCr-4:2:2, YCbCr-4:2:0, YCbCr-4:1:1, GRAYSCALE, YCbCrA-4:4:4:4 }, colorspace=(string){ sRGB, sYUV, GRAY }
| image/jp2, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstOpenJPEGEnc

    struct GstOpenJPEGEnc;

## Property Details

### The `“num-layers”` property

      “num-layers”               gint

Number of layers.

Flags: Read / Write

Allowed values: [1,10]

Default value: 1

### The `“num-resolutions”` property

      “num-resolutions”          gint

Number of resolutions.

Flags: Read / Write

Allowed values: [1,10]

Default value: 6

### The `“progression-order”` property

      “progression-order”        GstOpenJPEGEncProgressionOrder

Progression order.

Flags: Read / Write

Default value: LRCP

### The `“tile-height”` property

      “tile-height”              gint

Tile Height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“tile-offset-x”` property

      “tile-offset-x”            gint

Tile Offset X.

Flags: Read / Write

Default value: 0

### The `“tile-offset-y”` property

      “tile-offset-y”            gint

Tile Offset Y.

Flags: Read / Write

Default value: 0

### The `“tile-width”` property

      “tile-width”               gint

Tile Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0